- Reference
- OCPI 2.1.1 (CPO)
- Sender Session
OpenAPI reference
Sender Session
GET
/sessionsFetch Sessions from a CPO system.
API: OCPI 2.1.1 (CPO) · Module: Sessions (CPO)
Base path:/sessions· Base URL:https://ocpi-api.gridos.co/ocpi/cpo/2.1.1
Overview
GET /sessionsAbsolute URL: https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/sessions
Fetch Sessions from a CPO system.
Requires authentication. Use Authorization: Token <token>. See OCPI credentials.
How to call
Quick Shell sample (set OCPI_TOKEN when auth is required). Full Python and TypeScript under Examples.
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/sessions?date_from=2025-01-01T00%3A00%3A00Z&date_to=2025-01-01T00%3A00%3A00Z&offset=0&limit=50' \
-H "Authorization: Token $OCPI_TOKEN"Request
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
date_from | string (date-time) | No | Only return objects with last_updated after this DateTime (inclusive). |
date_to | string (date-time) | No | Only return objects with last_updated before this DateTime (exclusive). |
offset | integer | No | The offset of the first object returned. Default is 0. |
limit | integer | No | Maximum number of objects to GET. |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Successful Response | SessionsResponse |
401 | Unauthorized | — |
422 | Validation Error | HTTPValidationError |
200 — successful response
application/json
Schema: SessionsResponse
| Field | Type | Required | Description |
|---|---|---|---|
status_code | integer | No | Default: 1000 |
status_message | string | No | — |
timestamp | string (date-time) | No | — |
data | SessionOut[] | No | Data. Default: [] |
Response example
{
"data": [
{
"auth_id": "DE8ACC12E46L89",
"auth_method": "WHITELIST",
"authorization_id": "DE8ACC12E46L89",
"charging_periods": [
{
"dimensions": [
{
"type": "ENERGY",
"volume": 41
}
],
"start_date_time": "2015-06-29T22:39:09Z"
}
],
"currency": "EUR",
"end_datetime": "2015-06-29T23:50:16Z",
"id": "101",
"kwh": 41,
"last_updated": "2015-06-29T23:50:16Z",
"location": {
"address": "F.Rooseveltlaan 3A",
"city": "Gent",
"coordinates": {
"latitude": "51.047599",
"longitude": "3.729944"
},
"country": "BEL",
"evses": [
{
"connectors": [
{
"amperage": 64,
"format": "SOCKET",
"id": "1",
"last_updated": "2015-06-29T23:09:10Z",
"power_type": "AC_1_PHASE",
"standard": "IEC_62196_T2",
"tariff_id": "11",
"voltage": 230
}
],
"evse_id": "BE-BEC-E041503003",
"last_updated": "2015-06-29T23:09:10Z",
"status": "AVAILABLE",
"uid": "3256"
}
],
"id": "LOC1",
"last_updated": "2015-06-29T23:09:10Z",
"name": "Gent Zuid",
"postal_code": "9000",
"type": "ON_STREET"
},
"meter_id": "METER-001",
"start_datetime": "2015-06-29T22:39:09Z",
"status": "ACTIVE",
"total_cost": 10
}
],
"status_code": 1000,
"status_message": "Success",
"timestamp": "2015-06-29T22:39:09Z"
}401 — unauthorized
application/json
Response example
{
"status_code": 2000,
"status_message": "Unauthorized",
"timestamp": "2025-01-01T00:00:00Z"
}422 — validation error
application/json
Schema: HTTPValidationError
| Field | Type | Required | Description |
|---|---|---|---|
detail | ValidationError[] | No | Detail |
Response example
{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string",
"input": {
"_type": "Input"
},
"ctx": {
"_type": "Context"
}
}
]
}Examples
Shell, Python, and TypeScript (set OCPI_TOKEN when auth is required).
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/sessions?date_from=2025-01-01T00%3A00%3A00Z&date_to=2025-01-01T00%3A00%3A00Z&offset=0&limit=50' \
-H "Authorization: Token $OCPI_TOKEN"